<?php

namespace App\Livewire\Customer\Dashboard;

use Livewire\Attributes\Layout;
use Livewire\Attributes\Title;
use Livewire\Component;

#[Title('Ringkasan')]
#[Layout('components.layouts.customer')]
class Overview extends Component
{
    public bool $isVerified = false;

    public function mount()
    {
        $this->isVerified = auth()->user()->hasVerifiedEmail();
    }

    public function checkEmailVerification()
    {
        auth()->user()->refresh();

        $this->isVerified = auth()->user()->hasVerifiedEmail();
    }

    public function render()
    {
        return view('livewire.customer.dashboard.overview');
    }
}
